SUP-RECOVER-SOURCES(1)

NAME

sup-recover-sources - rebuild a lost Sup source configuration file

SYNOPSIS

sup-recover-sources [options] [source uri...]

DESCRIPTION

Rebuilds a lost sources.yaml file by reading messages from a list of sources and determining, for each source, the most prevalent 'source_id' field of messages from that source in the index.

The only non-deterministic component to this is that if the same message appears in multiple sources, those sources may be mis-diagnosed by this program.

If the first N messages (--scan-num below) all have the same source_id in the index, the source will be added to sources.yaml. Otherwise, the distribution will be printed, and you will have to add it by hand.

The offset pointer into the sources will be set to the end of the source, so you will have to run sup-import --rebuild for each new source after doing this.

OPTIONS

--unusual
    Mark sources as 'unusual'. Only usual sources will be polled by hand (default: false)

--archive
    Mark sources as 'archive'. New messages from these sources will not appear in the inbox (default: false)

--scan-num N
    Number of messages to scan per source (default: 10)

-h, --help
    Show help message

FILES

$HOME/.sup/sources.yaml
    Configuration file for Sup mail sources

SEE ALSO

sup(1), sup-config(1), sup-add(1), sup-import(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.